WordPress.org

Support

Support » Plugins and Hacks » Jetpack by WordPress.com » [Resolved] array_key_exists() [function.array-key-exists]: The first argument should be eit

[Resolved] array_key_exists() [function.array-key-exists]: The first argument should be eit

  • Hi,
    I got this message all over my site.

    Warning: array_key_exists() [function.array-key-exists]: The first argument should be either a string or an integer in ….WP-content/plugins/jetpack/modules/photon.php on line 183

    the only why i could get rid of it, was to uninstall Jetpack 2.0.4, and install 2.0.3.
    but now Jetpack not loaded because he want me to update to 2.0.4

    any fix will be appreciated.
    thanks a lot
    Baruchgr

    http://www.pcsupportil.co.il

    http://wordpress.org/extend/plugins/jetpack/

Viewing 4 replies - 1 through 4 (of 4 total)
  • but now Jetpack not loaded because he want me to update to 2.0.4

    I understand this to mean Jetpack won’t activate!
    This is a bug introduced with version 2.0 that was supposed to be fixed with the 2.0.4 release

    Correct a bug that prevents Jetpack from being activated if the SharePress plugin isn’t installed. http://wordpress.org/extend/plugins/jetpack/changelog/

    I’ve overcome this by:
    1.) installing 1.9.*, activating and connecting to wordpress.com, then updating to v 2.0.3 (has worked so far for me on 3 sites) OR
    2.) fpt v 1.9.* files to jetpack folder overwriting active v 2.0.4 files (only tried on 1 site and it worked)
    Alternatively you could use v 2.0.4 and turn off Photon (which is causing the error) in Jetpack settings

    I have the same problem but I was using the latest version (2.0.4) and it stopped working only few days later.

    Any ideas are welcome!

    No need to deactivate jetpack , Just Deactivate Photon and use site , Now it resolved,

    Plugin Author Jeremy Herve

    @jeherve

    Thanks for the reports.

    We have fixed this issue, and it’ll be part of the next Jetpack release.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[Resolved] array_key_exists() [function.array-key-exists]: The first argument should be eit’ is closed to new replies.
Skip to toolbar